from fastapi import APIRouter
from api.api_v1.endpoints import user
from .endpoints import project
from .endpoints import folder
from .endpoints import space
from .endpoints import dashboard
from .endpoints import report
from .endpoints import authority
from .endpoints import table_struct

api_router = APIRouter()

api_router.include_router(user.router, tags=["登录接口"], prefix='/user')
api_router.include_router(project.router, tags=["项目接口"], prefix='/project')
api_router.include_router(folder.router, tags=["文件夹接口"], prefix='/folder')
api_router.include_router(space.router, tags=["空间接口"], prefix='/space')
api_router.include_router(dashboard.router, tags=["看板接口"], prefix='/dashboard')
api_router.include_router(report.router, tags=["报表接口"], prefix='/report')

api_router.include_router(authority.router, tags=["权限管理接口"], prefix='/authority')

api_router.include_router(table_struct.router, tags=["表结构"], prefix='/table_struct')
